C
C
      SUBROUTINE CALC ( K, NL, N, MMAX, IV, C, ALF, T, ETA )
C
C
      PARAMETER ( MAXN1 = 11 )
C
      DIMENSION C(N), ALF(NL), T(MMAX,IV)
C
      COMMON /BLKPH/ PH(MAXN1)
C
      PH(1) = EXP(-T(K,1) / ALF(1))
      PH(2) = EXP(-T(K,1) / ALF(2))
C
      ETA = C(1)*PH(1) + C(2)*PH(2)
C
      RETURN
      END 
C
C
C-----------------------------------------------------------------------
C
C
      SUBROUTINE DERIV ( K, T, MMAX, IV, ALF, NL, NP1 )
C
C
      PARAMETER ( MAXN1 = 11 , MAXKG = 8 )
C
      DIMENSION ALF(NL),T(MMAX,IV)
C
      COMMON /BLKDPH/ DPH(MAXN1,MAXKG)
C
      DO 10 J=1,NL
        DO 10 I=1,NP1
          DPH(I,J) = 0.0
   10 CONTINUE
C
C           DPH(I,J) SHOULD BE SET TO THE PARTIAL DERIVATIVE
C                    OF PH(I) WITH RESPECT TO ALF(J)
C
      DPH(1,1) = T(K,1) / (ALF(1)**2) * EXP(-T(K,1)/ALF(1)) 
      DPH(2,2) = T(K,1) / (ALF(2)**2) * EXP(-T(K,1)/ALF(2)) 
C
      RETURN
      END 
C
C
C-----------------------------------------------------------------------
C
C
      SUBROUTINE WT ( M, WEIGHT, Y )
C
C
      DIMENSION Y(M),WEIGHT(M)
C
       DO 10 I=1,M
         WEIGHT(I) = 1.0/Y(I)**2
   10  CONTINUE
C
      RETURN
      END 
C
C-----------------------------------------------------------------------
C
C
      SUBROUTINE TRANS ( T, BT, Y, BY, IV, M, MMAX )
C
C
      DIMENSION T(MMAX,IV), BT(MMAX,IV), Y(M), BY(M)
C
C--------- DUMMY SUBROUTINE
C
      RETURN
      END 
C
C
C-----------------------------------------------------------------------
C
C
      SUBROUTINE BAKTRN ( ETA, BETA, M )
C
C
      DIMENSION ETA(M), BETA(M)
C
C--------- DUMMY SUBROUTINE
C
      RETURN
      END 
